SVNKit Home

## org.tmatesoft.svn.core
Class SVNProperty

    java.lang.Object
      org.tmatesoft.svn.core.SVNProperty

public class SVNProperty
extends Object

The SVNProperty class is a representation class for both versioned properties (user-managed svn specials) and for metaproperties (untweakable) supported by Subversion. This class holds string constants that are property names, and gives some useful methods to operate with properties (in particular).

Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary
`static String` `ABSENT` An "svn:entry:absent" SVN untweakable metaproperty.
`static String` `CACHABLE_PROPS` "cachable-props" SVN untweakable metaproperty.
`static String` `CHECKSUM` An "svn:entry:checksum" SVN untweakable metaproperty.
`static String` `COMMITTED_DATE` An "svn:entry:committed-date" SVN untweakable metaproperty.
`static String` `COMMITTED_REVISION` An "svn:entry:committed-rev" SVN untweakable metaproperty.
`static String` `CONFLICT_NEW` An "svn:entry:conflict-new" SVN untweakable metaproperty.
`static String` `CONFLICT_OLD` An "svn:entry:conflict-old" SVN untweakable metaproperty.
`static String` `CONFLICT_WRK` An "svn:entry:conflict-wrk" SVN untweakable metaproperty.
`static String` `COPIED` An "svn:entry:copied" SVN untweakable metaproperty.
`static String` `COPYFROM_REVISION` An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.
`static String` `COPYFROM_URL` An "svn:entry:copyfrom-url" SVN untweakable metaproperty.
`static String` `CORRUPTED` An "svn:entry:corrupted" SVN untweakable metaproperty.
`static String` `DELETED` An "svn:entry:deleted" SVN untweakable metaproperty.
`static String` `EOL_STYLE` An "svn:eol-style" SVN special property.
`static String` `EOL_STYLE_CR` One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)
`static String` `EOL_STYLE_CRLF` One of the four possible values of the `EOL_STYLE` property - "CRLF"
`static String` `EOL_STYLE_LF` One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)
`static String` `EOL_STYLE_NATIVE` One of the four possible values of the `EOL_STYLE` property - "native"
`static String` `EXECUTABLE` An "svn:executable" SVN special property.
`static String` `EXTERNALS` An "svn:externals" SVN special property.
`static String` `HAS_PROP_MODS` "has-prop-mods" SVN untweakable metaproperty.
`static String` `HAS_PROPS` "has-props" SVN untweakable metaproperty.
`static String` `IGNORE` An "svn:ignore" SVN special property.
`static String` `INCOMPLETE` An "svn:entry:incomplete" SVN untweakable metaproperty.
`static String` `KEYWORDS` An "svn:keywords" SVN special property.
`static String` `KIND` An "svn:entry:kind" SVN untweakable metaproperty.
`static String` `KIND_DIR` One of the two possible values of the `KIND` property - "dir"
`static String` `KIND_FILE` One of the two possible values of the `KIND` property - "file"
`static String` `LAST_AUTHOR` An "svn:entry:last-author" SVN untweakable metaproperty.
`static String` `LOCK_COMMENT` An "svn:entry:lock-comment" SVN untweakable metaproperty.
`static String` `LOCK_CREATION_DATE` An "svn:entry:lock-creation-date" SVN untweakable metaproperty.
`static String` `LOCK_OWNER` An "svn:entry:lock-owner" SVN untweakable metaproperty.
`static String` `LOCK_TOKEN` An "svn:entry:lock-token" SVN untweakable metaproperty.
`static String` `MIME_TYPE` An "svn:mime-type" SVN special property.
`static String` `NAME` An "svn:entry:name" SVN untweakable metaproperty.
`static String` `NEEDS_LOCK` An "svn:needs-lock" SVN special property.
`static String` `PRESENT_PROPS` "present-props" SVN untweakable metaproperty.
`static String` `PROP_REJECT_FILE` An "svn:entry:prop-reject-file" SVN untweakable metaproperty.
`static String` `PROP_TIME` An "svn:entry:prop-time" SVN untweakable metaproperty.
`static String` `REPOS` An "svn:entry:repos" SVN untweakable metaproperty.
`static String` `REVISION` An "svn:entry:revision" SVN untweakable metaproperty.
`static String` `SCHEDULE` An "svn:entry:schedule" SVN untweakable metaproperty.
`static String` `SCHEDULE_ADD` One of the three possible values of the `SCHEDULE` property - "add"
`static String` `SCHEDULE_DELETE` One of the three possible values of the `SCHEDULE` property - "delete"
`static String` `SCHEDULE_REPLACE` One of the three possible values of the `SCHEDULE` property - "replace"
`static String` `SPECIAL` An "svn:special" SVN special property.
`static String` `SVN_ENTRY_PREFIX` An "svn:entry:" prefix.
`static String` `SVN_PREFIX` An "svn:" prefix.
`static String` `SVN_WC_PREFIX` An "svn:wc:" prefix.
`static String` `TEXT_TIME` An "svn:entry:text-time" SVN untweakable metaproperty.
`static String` `TXN_CHECK_LOCKS` A special property used in a commit transaction.
`static String` `TXN_CHECK_OUT_OF_DATENESS` A special property used in a commit transaction.
`static String` `URL` An "svn:entry:url" SVN untweakable metaproperty.
`static String` `UUID` An "svn:entry:uuid" SVN untweakable metaproperty.
`static String` `WC_URL` An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.

Constructor Summary
`SVNProperty()`

Method Summary
`static boolean` `booleanValue(String text)` Converts a string representation of a boolean value to boolean.
`static byte[]` `getEOLBytes(String eolType)` Returns eol-marker bytes according to the given eol type.
`static String` `getValueOfBooleanProperty(String propName)` Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special".
`static boolean` `isBinaryMimeType(String mimeType)` Says if the given MIME-type corresponds to a binary (non-textual) type.
`static boolean` `isBooleanProperty(String propName)` Checks whether the property is boolean.
`static boolean` `isEntryProperty(String name)` Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.
`static boolean` `isRegularProperty(String name)` Checks if a property is regular.
`static boolean` `isSVNProperty(String name)` Says if the given property name starts with the `SVN_PREFIX` prefix.
`static boolean` `isTextMimeType(String mimeType)` Says if the given MIME-type corresponds to a text type.
`static boolean` `isWorkingCopyProperty(String name)` Says if the given property name starts with the `SVN_WC_PREFIX` prefix.
`static long` `longValue(String text)` Converts a string representation of a numeric value to a long value.
`static String` `shortPropertyName(String longName)` Returns a short name for the given property name - that is a name without any prefixes.
`static String` `toString(boolean b)` Converts a boolean value to a string representation.
`static String` `toString(long i)` Converts a long value to a string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVN_PREFIX

    public static final String SVN_PREFIX

  An "svn:" prefix.

  See Also:
    Constant Field Values

### SVN_WC_PREFIX

    public static final String SVN_WC_PREFIX

  An "svn:wc:" prefix.

  See Also:
    Constant Field Values

### TXN_CHECK_LOCKS

    public static final String TXN_CHECK_LOCKS

  A special property used in a commit transaction.

  See Also:
    Constant Field Values

### TXN_CHECK_OUT_OF_DATENESS

    public static final String TXN_CHECK_OUT_OF_DATENESS

  A special property used in a commit transaction.

  See Also:
    Constant Field Values

### SVN_ENTRY_PREFIX

    public static final String SVN_ENTRY_PREFIX

  An "svn:entry:" prefix.

  See Also:
    Constant Field Values

### EOL_STYLE

    public static final String EOL_STYLE

  An "svn:eol-style" SVN special property.

  See Also:
    Constant Field Values

### IGNORE

    public static final String IGNORE

  An "svn:ignore" SVN special property.

  See Also:
    Constant Field Values

### MIME_TYPE

    public static final String MIME_TYPE

  An "svn:mime-type" SVN special property.

  See Also:
    Constant Field Values

### KEYWORDS

    public static final String KEYWORDS

  An "svn:keywords" SVN special property.

  See Also:
    Constant Field Values

### EXECUTABLE

    public static final String EXECUTABLE

  An "svn:executable" SVN special property.

  See Also:
    Constant Field Values

### EXTERNALS

    public static final String EXTERNALS

  An "svn:externals" SVN special property.

  See Also:
    Constant Field Values

### SPECIAL

    public static final String SPECIAL

  An "svn:special" SVN special property.

  See Also:
    Constant Field Values

### REVISION

    public static final String REVISION

  An "svn:entry:revision" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### COMMITTED_REVISION

    public static final String COMMITTED_REVISION

  An "svn:entry:committed-rev" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### COMMITTED_DATE

    public static final String COMMITTED_DATE

  An "svn:entry:committed-date" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### HAS_PROPS

    public static final String HAS_PROPS

  "has-props" SVN untweakable metaproperty.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### HAS_PROP_MODS

    public static final String HAS_PROP_MODS

  "has-prop-mods" SVN untweakable metaproperty.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### CACHABLE_PROPS

    public static final String CACHABLE_PROPS

  "cachable-props" SVN untweakable metaproperty.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### PRESENT_PROPS

    public static final String PRESENT_PROPS

  "present-props" SVN untweakable metaproperty.

  Since:
    1.1, new in Subversion 1.4
  See Also:
    Constant Field Values

### CHECKSUM

    public static final String CHECKSUM

  An "svn:entry:checksum" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### URL

    public static final String URL

  An "svn:entry:url" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### COPYFROM_URL

    public static final String COPYFROM_URL

  An "svn:entry:copyfrom-url" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### COPYFROM_REVISION

    public static final String COPYFROM_REVISION

  An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### SCHEDULE

    public static final String SCHEDULE

  An "svn:entry:schedule" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### COPIED

    public static final String COPIED

  An "svn:entry:copied" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### LAST_AUTHOR

    public static final String LAST_AUTHOR

  An "svn:entry:last-author" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### UUID

    public static final String UUID

  An "svn:entry:uuid" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### REPOS

    public static final String REPOS

  An "svn:entry:repos" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### PROP_TIME

    public static final String PROP_TIME

  An "svn:entry:prop-time" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### TEXT_TIME

    public static final String TEXT_TIME

  An "svn:entry:text-time" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  An "svn:entry:name" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### KIND

    public static final String KIND

  An "svn:entry:kind" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### CONFLICT_OLD

    public static final String CONFLICT_OLD

  An "svn:entry:conflict-old" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### CONFLICT_NEW

    public static final String CONFLICT_NEW

  An "svn:entry:conflict-new" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### CONFLICT_WRK

    public static final String CONFLICT_WRK

  An "svn:entry:conflict-wrk" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### PROP_REJECT_FILE

    public static final String PROP_REJECT_FILE

  An "svn:entry:prop-reject-file" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### DELETED

    public static final String DELETED

  An "svn:entry:deleted" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### ABSENT

    public static final String ABSENT

  An "svn:entry:absent" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### INCOMPLETE

    public static final String INCOMPLETE

  An "svn:entry:incomplete" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### CORRUPTED

    public static final String CORRUPTED

  An "svn:entry:corrupted" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### WC_URL

    public static final String WC_URL

  An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### LOCK_TOKEN

    public static final String LOCK_TOKEN

  An "svn:entry:lock-token" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### LOCK_COMMENT

    public static final String LOCK_COMMENT

  An "svn:entry:lock-comment" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### LOCK_OWNER

    public static final String LOCK_OWNER

  An "svn:entry:lock-owner" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### LOCK_CREATION_DATE

    public static final String LOCK_CREATION_DATE

  An "svn:entry:lock-creation-date" SVN untweakable metaproperty.

  See Also:
    Constant Field Values

### NEEDS_LOCK

    public static final String NEEDS_LOCK

  An "svn:needs-lock" SVN special property.

  See Also:
    Constant Field Values

### KIND_DIR

    public static final String KIND_DIR

  One of the two possible values of the `KIND` property - "dir"

  See Also:
    Constant Field Values

### KIND_FILE

    public static final String KIND_FILE

  One of the two possible values of the `KIND` property - "file"

  See Also:
    Constant Field Values

### EOL_STYLE_LF

    public static final String EOL_STYLE_LF

  One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)

  See Also:
    Constant Field Values

### EOL_STYLE_CR

    public static final String EOL_STYLE_CR

  One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)

  See Also:
    Constant Field Values

### EOL_STYLE_CRLF

    public static final String EOL_STYLE_CRLF

  One of the four possible values of the `EOL_STYLE` property - "CRLF"

  See Also:
    Constant Field Values

### EOL_STYLE_NATIVE

    public static final String EOL_STYLE_NATIVE

  One of the four possible values of the `EOL_STYLE` property - "native"

  See Also:
    Constant Field Values

### SCHEDULE_ADD

    public static final String SCHEDULE_ADD

  One of the three possible values of the `SCHEDULE` property - "add"

  See Also:
    Constant Field Values

### SCHEDULE_DELETE

    public static final String SCHEDULE_DELETE

  One of the three possible values of the `SCHEDULE` property - "delete"

  See Also:
    Constant Field Values

### SCHEDULE_REPLACE

    public static final String SCHEDULE_REPLACE

  One of the three possible values of the `SCHEDULE` property - "replace"

  See Also:
    Constant Field Values

Constructor Detail

### SVNProperty

    public SVNProperty()

Method Detail

### isWorkingCopyProperty

    public static boolean isWorkingCopyProperty(String name)

  Says if the given property name starts with the `SVN_WC_PREFIX` prefix.

  Parameters:
    `name` - a property name to check
  Returns:
    true if `name` is not null and starts with the `SVN_WC_PREFIX` prefix, otherwise false

### isEntryProperty

    public static boolean isEntryProperty(String name)

  Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.

  Parameters:
    `name` - a property name to check
  Returns:
    true if `name` is not null and starts with the `SVN_ENTRY_PREFIX` prefix, otherwise false

### isSVNProperty

    public static boolean isSVNProperty(String name)

  Says if the given property name starts with the `SVN_PREFIX` prefix.

  Parameters:
    `name` - a property name to check
  Returns:
    true if `name` is not null and starts with the `SVN_PREFIX` prefix, otherwise false

### isRegularProperty

    public static boolean isRegularProperty(String name)

  Checks if a property is regular. Regular are some "svn:" properties and all user props, i.e. ones stored in the repository filesystem.

  Parameters:
    `name` - a property name
  Returns:
    true if regular, otherwise false

### isTextMimeType

    public static boolean isTextMimeType(String mimeType)

  Says if the given MIME-type corresponds to a text type.

  Parameters:
    `mimeType` - a value of a file `MIME_TYPE` property
  Returns:
    true if `mimeType` is either null or is a text type (starts with "text/")
  See Also:
    `isBinaryMimeType(String)`

### isBinaryMimeType

    public static boolean isBinaryMimeType(String mimeType)

  Says if the given MIME-type corresponds to a binary (non-textual) type.

  Parameters:
    `mimeType` - a value of a file `MIME_TYPE` property
  Returns:
    true if `mimeType` is not a text type
  See Also:
    `isTextMimeType(String)`

### getEOLBytes

    public static byte[] getEOLBytes(String eolType)

  Returns eol-marker bytes according to the given eol type.

  Parameters:
    `eolType` - a requested eol-marker type (platform specific)
  Returns:
    null if `eolType` is null, or an array of bytes for one of the four possible eol types
  See Also:
    `EOL_STYLE_CR`, `EOL_STYLE_CRLF`, `EOL_STYLE_LF`, `EOL_STYLE_NATIVE`

### booleanValue

    public static boolean booleanValue(String text)

  Converts a string representation of a boolean value to boolean. Useful to convert values of the `COPIED` property.

  Parameters:
    `text` - a string to convert to a boolean value
  Returns:
    true if and only if `text` is not null and is equal, ignoring case, to the string "true"

### longValue

    public static long longValue(String text)

  Converts a string representation of a numeric value to a long value. Useful to convert revision numbers.

  Parameters:
    `text` - a string to convert to a long value
  Returns:
    a long representation of the given string; -1 is returned if the string can not be parsed

### toString

    public static String toString(boolean b)

  Converts a boolean value to a string representation. Useful to convert values of the `COPIED` property.

  Parameters:
    `b` - a boolean value
  Returns:
    a string representation of `b`

### toString

    public static String toString(long i)

  Converts a long value to a string representation. Useful to convert revision numbers.

  Parameters:
    `i` - a long value
  Returns:
    a string representation of `i`

### shortPropertyName

    public static String shortPropertyName(String longName)

  Returns a short name for the given property name - that is a name without any prefixes.

  Parameters:
    `longName` - a property name
  Returns:
    a property short name

### getValueOfBooleanProperty

    public static String getValueOfBooleanProperty(String propName)

  Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special". Used by internals.

  Parameters:
    `propName` - a property name
  Returns:
    the property value "*", or null if the property is not boolean
  Since:
    1.1
  See Also:
    `isBooleanProperty(String)`

### isBooleanProperty

    public static boolean isBooleanProperty(String propName)

  Checks whether the property is boolean.

  Parameters:
    `propName` - a property name
  Returns:
    true if boolean, otherwise false
  Since:
    1.1

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.